Package org.apache.tomcat.util.threads

# Class ThreadPoolExecutor.AbortPolicy

java.lang.Object
org.apache.tomcat.util.threads.ThreadPoolExecutor.AbortPolicy

All Implemented Interfaces:
  `ThreadPoolExecutor.RejectedExecutionHandler`

Enclosing class:
  ThreadPoolExecutor

public static class ThreadPoolExecutor.AbortPolicy extends Object implements ThreadPoolExecutor.RejectedExecutionHandler
A handler for rejected tasks that throws a `RejectedExecutionException`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbortPolicy()`
  Creates an `AbortPolicy`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `rejectedExecution(Runnable r, ThreadPoolExecutor e)`
  Always throws RejectedExecutionException.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AbortPolicy

    public AbortPolicy()
    Creates an `AbortPolicy`.

- ## Method Details

  - ### rejectedExecution

    public void rejectedExecution(Runnable r, ThreadPoolExecutor e)
    Always throws RejectedExecutionException.
    Specified by:
      `rejectedExecution` in interface `ThreadPoolExecutor.RejectedExecutionHandler`
    Parameters:
      `r` - the runnable task requested to be executed
      `e` - the executor attempting to execute this task
    Throws:
      `RejectedExecutionException` - always